ATAPI_DRAIN_NEEDED(9)

NAME
atapi_drain_needed - Check whether data transfer may overflow

SYNOPSIS

int atapi_drain_needed(struct request * rq);

ARGUMENTS

rq
    request to be checked

DESCRIPTION

ATAPI commands which transfer variable length data to host might overflow due to application error or hardare bug. This function checks whether overflow should be drained and ignored for request.

LOCKING

None.

RETURNS

1 if ; otherwise, 0.

AUTHOR

Jeff Garzik
    Author.

COPYRIGHT